Skip to main content
POST
/
v1
/
organizations
/
credits
Add Credits
curl --request POST \
  --url https://api.mixpeek.com/v1/organizations/credits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "credits": 123
}'
import requests

url = "https://api.mixpeek.com/v1/organizations/credits"

payload = { "credits": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credits: 123})
};

fetch('https://api.mixpeek.com/v1/organizations/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "previous_balance": 123,
  "credits_added": 123,
  "new_balance": 123,
  "tier_upgraded": true
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to add credits to an organization.

credits
integer
required

Number of credits to add. Must be positive.

Examples:

1000

10000

100000

Response

Successful Response

Response after adding credits.

previous_balance
integer
required

Credit balance before addition

credits_added
integer
required

Number of credits added

new_balance
integer
required

Credit balance after addition

previous_tier
enum<string>
required

Account tier before addition

Available options:
build,
scale,
enterprise,
free,
pro,
team
new_tier
enum<string>
required

Account tier after addition (may auto-upgrade)

Available options:
build,
scale,
enterprise,
free,
pro,
team
tier_upgraded
boolean
required

Whether tier was automatically upgraded